# -*- mode: ruby -*-
# vi: set ft=ruby :

NETWORK = 'forwarded_port'
GUEST_PORT = 3000
HOST_PORT = 3000

Vagrant.configure(2) do |config|
  config.vm.box = "ubuntu/focal64"
  config.vm.network NETWORK, guest: GUEST_PORT, host: HOST_PORT
  config.vm.provider "virtualbox" do |vb|
    vb.memory = 1024
    vb.customize ["setextradata", :id, "VBoxInternal2/SharedFoldersEnableSymlinksCreate/vagrant", "1"]
  end
  config.vm.provision "ansible" do |ansible|
    ansible.playbook = "provisioning/playbook.yml"
    ansible.verbose = "v"
    ansible.limit = "all"
  end
  config.vm.provision 'shell', privileged: false, inline: <<-SHELL
	cd /vagrant
    	npm init -y fastify
    	npm install
    	npm run dev
  SHELL
end
